package edu.travel.guava.cache;

import com.google.common.cache.Cache;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;

@Component
public class GuavaCacheUtils {
    @Autowired
    private Cache cache;

    public boolean put(String key, Object value) {
        try {
            cache.put(key, value);
            return true;
        }catch (Exception e) {
            return false;
        }
    }
    public Object get(String key, Callable<Object> callable) throws ExecutionException {
        Object object = cache.get(key, callable);
        return object;
    }
    public void invalidateAll(){
        cache.invalidateAll();
    }
    public void invalidate(String key){
        cache.invalidate(key);
    }
    public void invalidateList(List<String> keys){
        cache.invalidateAll(keys);
    }
}
