package edu.travel.remote;

import com.baomidou.mybatisplus.core.metadata.IPage;
import edu.travel.dto.BaseCountryServeDto;
import edu.travel.remote.base.RemoteBaseController;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.BaseCountryServeVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(path = "/baseCountryServe",name = "commodity")
public interface BaseCountryServeRemoteController extends RemoteBaseController<BaseCountryServeVo, BaseCountryServeDto> {
    //分页
    @GetMapping("/getCountryServePage")
    public RPCBaseResponse<IPage<BaseCountryServeVo>> getCountryServePage(BaseCountryServeDto dto);
    //服务国家树
    @GetMapping("/getCountryServeTree")
    public RPCBaseResponse<List<BaseCountryServeVo>> getCountryServeTree();
    //获取服务国家信息
    @GetMapping("/getCountryServeFormId")
    public RPCBaseResponse<BaseCountryServeVo> getFormId(String id);
    //更新服务国家信息
    @GetMapping("/updateCountryServeFormId")
    public RPCBaseResponse<BaseCountryServeVo> updateTargetFormId(@RequestBody BaseCountryServeDto entity);
    //新增服务国家信息
    @GetMapping("/saveCountryServeForm")
    public RPCBaseResponse<BaseCountryServeVo> saveFormTarget(@RequestBody BaseCountryServeDto entity);
    //删除服务国家信息
    @GetMapping("/deleteCountryServeFormId")
    public RPCBaseResponse<BaseCountryServeVo> deleteTargetFormId(@RequestBody List<String> ids);
    //获取服务国家列表
    @GetMapping("/listForm")
    public RPCBaseResponse<List<BaseCountryServeVo>> getAllForm();
}
