package edu.travel.remote;

import com.baomidou.mybatisplus.core.metadata.IPage;
import edu.travel.dto.ShopCurrencyDto;
import edu.travel.remote.base.RemoteBaseController;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.ShopCurrencyVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

@FeignClient(path = "/shopCurrency",name = "commodity")
public interface ShopCurrencyRemoteController extends RemoteBaseController<ShopCurrencyVo, ShopCurrencyDto> {
    @GetMapping("/getCurrencyPage")
    public RPCBaseResponse<IPage<ShopCurrencyVo>> getCurrencyPage(ShopCurrencyDto dto);
    @GetMapping("/getCurrencyFormId")
    public RPCBaseResponse<ShopCurrencyVo> getFormId(String id);
    @PostMapping("/updateCurrencyFormId")
    public RPCBaseResponse<ShopCurrencyVo> updateTargetFormId(ShopCurrencyDto entity);
    @PostMapping("/saveCurrencyForm")
    public RPCBaseResponse<ShopCurrencyVo> saveFormTarget(ShopCurrencyDto entity);
    @PostMapping("/deleteCurrencyFormId")
    public RPCBaseResponse<ShopCurrencyVo> deleteTargetFormId(List<String> ids);
    @GetMapping("/listCurrencyForm")
    public RPCBaseResponse<List<ShopCurrencyVo>> getAllForm();
}
