package edu.travel.remote;

import com.baomidou.mybatisplus.core.metadata.IPage;
import edu.travel.dto.ShopLanguageDto;
import edu.travel.remote.base.RemoteBaseController;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.ShopLanguageVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(path = "/shopLanguage",name = "commodity")
public interface ShopLanguageRemoteController extends RemoteBaseController<ShopLanguageVo, ShopLanguageDto> {

    //语言分页
    @GetMapping("/getLanguagePage")
    public RPCBaseResponse<IPage<ShopLanguageVo>> getLanguagePage(ShopLanguageDto shopLanguageDto);
   //获取语言详情
    @GetMapping("/getLanguageFormId")
    public RPCBaseResponse<ShopLanguageVo> getFormId(String id);
    //更新语言信息
    @PostMapping("/updateLanguageFormId")
    public RPCBaseResponse<ShopLanguageVo> updateTargetFormId(@RequestBody ShopLanguageDto entity);
    //新增语言信息
    @PostMapping("/saveLanguageForm")
    public RPCBaseResponse<ShopLanguageVo> saveFormTarget(@RequestBody ShopLanguageDto entity);
    //删除语言信息
    @PostMapping("/deleteLanguageFormId")
    public RPCBaseResponse<ShopLanguageVo> deleteTargetFormId(@RequestBody List<String> ids);
    //获取语言
    @GetMapping("/LanguagelistForm")
    public RPCBaseResponse<List<ShopLanguageVo>> getAllForm();
}
