package edu.travel.commodity.vo;



import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;


@Data
public class ProductSkuVo {
    /**
     * 商品SKU表ID
     */
    private String id;
    /**
     * SKU ID
     */
    private String skuId;
    /**
     * 商品ID
     */
    private String productId;
    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品描述
     */
    private String description;

    /**
     * 库房ID
     */
    private String warehouseId;

    /**
     * 库存
     */
    private Integer inventory;

    /**
     * 0 上架 1 下架
     */
    private Integer status;

    /**
     * 价格
     */
    private BigDecimal price;

    /**
     * 商品SKU图片
     */
    private List<ProductImageVo> imageUrl;
    /**
     * 销量
     */
    private Integer salesVolume;

    /**
     * 条码
     */
    private Integer barcodes;
    /**
     * 成本价格
     */
    private BigDecimal costPrice;

    /**
     * 规格值
     */
    private List<ShopSkuSpecValueVo> specValue;
}
