package edu.travel.commodity.web;

import edu.travel.commodity.dto.BaseDto;
import edu.travel.commodity.dto.ShopTypeDto;
import edu.travel.commodity.entity.ShopCategory;
import edu.travel.commodity.service.ShopCategoryService;
import edu.travel.commodity.vo.ShopTypeVo;
import edu.travel.remote.feign.mode.vo.tenant.AddMenuVo;
import edu.travel.resp.BaseResponse;
import edu.travel.web.BaseController;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
* 商品类型(shop_category)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shopCategory")
public class ShopCategoryController  extends BaseController<ShopCategory> {
/**
* 服务对象
*/
    @Autowired
    private ShopCategoryService shopCategoryService;

    /**
     *  获取商品类型
     * @return {@link BaseResponse }<{@link AddMenuVo }>
     */
    @GetMapping("getShopType")
    public BaseResponse<List<ShopTypeVo>> getShopType(ShopTypeDto param){
        return new BaseResponse<>(200,"success",shopCategoryService.getShopType(param));
    }

    /**
     *  获取二级热门商品类型
     * @return {@link BaseResponse }<{@link AddMenuVo }>
     */
    @GetMapping("getLevelToShopType")
    public BaseResponse<List<ShopTypeVo>> getLevelToShopType(BaseDto param){

        return new BaseResponse<>(200,"success",shopCategoryService.getLevelToShopType(param));
    }

}
