package edu.travel.commodity.web;

import edu.travel.commodity.dto.ProductSpecDto;
import edu.travel.commodity.entity.ShopProductSpec;
import edu.travel.commodity.service.ShopProductSpecService;
import edu.travel.commodity.vo.ProductSpecVo;
import edu.travel.commodity.vo.ShopProductVo;
import edu.travel.resp.BaseResponse;
import edu.travel.web.BaseController;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
* 商品规格表(shop_product_spec)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shopProductSpec")
public class ShopProductSpecController extends BaseController<ShopProductSpec> {
/**
* 服务对象
*/
    @Autowired
    private ShopProductSpecService shopProductSpecService;

    /**
     * 查询商品详情
     * @param param
     * @return {@link BaseResponse }<{@link List }<{@link ShopProductVo }>>
     */
    @GetMapping("/getShopSpec")
    public BaseResponse<ProductSpecVo> getShopSpec(ProductSpecDto param){
        return new BaseResponse<>(200,"success",shopProductSpecService.getShopSpec(param));
    }
}
