package edu.travel.commodity.web;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.commodity.dto.AddShopCartDto;
import edu.travel.commodity.dto.BaseDto;
import edu.travel.commodity.service.ShopShoppingCartService;
import edu.travel.commodity.vo.ShopCartListVo;
import edu.travel.resp.BaseResponse;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 购物车表(shop_shopping_cart)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shop_shopping_cart")
public class ShopShoppingCartController {
/**
* 服务对象
*/
    @Autowired
    private ShopShoppingCartService shopShoppingCartService;


    /**
     *  新增购物车
     * @param params
     * @return {@link BaseResponse }<{@link Boolean }>
     */
    @PostMapping("/addShopCart")
    public BaseResponse<Boolean> addShopCart(@RequestBody AddShopCartDto params) {
        return new BaseResponse<>(200,"success",shopShoppingCartService.addShopCart(params));
    }

    /**
     * 分页查询购物车列表
     * @param params
     * @return {@link BaseResponse }<{@link Page }<{@link ShopCartListVo }>>
     */

    @PostMapping("/getShopCartList")
    public BaseResponse<Page<ShopCartListVo>> getShopCartList(BaseDto params) {
        return new BaseResponse<>(200,"success",shopShoppingCartService.getShopCartList(params));
    }


}
