package edu.travel.country.service.impl;



import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import edu.travel.country.entity.ShopLanguage;
import edu.travel.country.mapper.ShopLanguageMapper;
import edu.travel.country.service.ShopLanguageService;

import edu.travel.dto.ShopLanguageDto;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.service.SysServiceImpl;
import edu.travel.vo.ShopLanguageVo;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

@Service
public class ShopLanguageServiceImpl extends SysServiceImpl<ShopLanguageMapper, ShopLanguage> implements ShopLanguageService {


    @Override
    public RPCBaseResponse<IPage<ShopLanguageVo>> getLanguagePage(ShopLanguageDto shopLanguageDto) {
        Page<ShopLanguage> shopLanguagePage = new Page<>(shopLanguageDto.getCurrentPage(), shopLanguageDto.getPageSize());
        IPage<ShopLanguage> pageLink = super.getPageLink(new LambdaQueryWrapper<ShopLanguage>(), shopLanguagePage);
        IPage<ShopLanguageVo> pageVoLink = new Page<>();
        BeanUtils.copyProperties(pageLink,pageVoLink);
        RPCBaseResponse<IPage<ShopLanguageVo>> pageRPCPageResponse = new RPCBaseResponse<>(200,"SUCCESS",pageVoLink);
        return pageRPCPageResponse;
    }
}
