package edu.travel.tenant.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 轮播图
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_banner")
public class ShopBanner extends BaseEntity {
    /**
     * 轮播图ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 图片/视频
     */
    @TableField(value = "url")
    private String url;

    /**
     * 判断图片/视频,默认0,0图片,1视频
     */
    @TableField(value = "url_type")
    private Integer urlType;

    /**
     * 名称
     */
    @TableField(value = "content")
    private String content;
    /**
     * 国家
     */
    @TableField(value = "country_id")
    private Long countryId;

    /**
     * 链接地址
     */
    @TableField(value = "link_url")
    private String linkUrl;

    /**
     * 权重排序
     */
    @TableField(value = "sort_order")
    private Integer sortOrder;

    /**
     * 起始时间
     */
    @TableField(value = "start_time")
    private Date startTime;

    /**
     * 截至时间
     */
    @TableField(value = "end_time")
    private Date endTime;

    /**
     * 默认图片,默认0 0非默认 1默认
     */
    @TableField(value = "`is_default`")
    private Integer isDefault;

    /**
     * 模块 1首页 
     */
    @TableField(value = "`mode`")
    private Integer mode;

    /**
     * 是否启用 0 是 1否
     */
    @TableField(value = "`enable`")
    private Integer enable;

}